angular.module('app.routes', [])

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
    
  

      .state('tabsController.talk', {
    url: '/talk',
    views: {
      'tab1': {
        templateUrl: 'templates/talk.html',
        controller: 'talkCtrl'
      }
    }
  })

  .state('tabsController.more', {
    url: '/more',
    views: {
      'tab4': {
        templateUrl: 'templates/more.html',
        controller: 'moreCtrl'
      }
    }
  })

  .state('tabsController', {
    url: '/page1',
    templateUrl: 'templates/tabsController.html',
    abstract:true
  })

  .state('tabsController.gSMGuide', {
    url: '/gsm_guide',
    views: {
      'tab5': {
        templateUrl: 'templates/gSMGuide.html',
        controller: 'gSMGuideCtrl'
      }
    }
  })

  .state('tabsController.aboutUs', {
    url: '/about-us',
    views: {
      'tab4': {
        templateUrl: 'templates/aboutUs.html',
        controller: 'aboutUsCtrl'
      }
    }
  })

  .state('welcome', {
    url: '/page8',
    templateUrl: 'templates/welcome.html',
    controller: 'welcomeCtrl'
  })

  .state('tabsController.costPopup', {
    url: '/costpopup',
    views: {
      'tab4': {
        templateUrl: 'templates/costPopup.html',
        controller: 'costPopupCtrl'
      }
    }
  })

  .state('costPopup2', {
    url: '/page9',
    templateUrl: 'templates/costPopup2.html',
    controller: 'costPopup2Ctrl'
  })

//$urlRouterProvider.otherwise('/page8')

  

});