angular.module('app.services', [])

.factory('Application', function ($window) {
    return {    
        setInitialRun : function (initial) {
            $window.localStorage['initialRun'] = (initial ? "true" : "false");
        },
        isInitialRun : function () {
         var value = $window.localStorage["initialRun"] || "true";
         return value == "true";
        },
        hitbutton : function(slink){
            console.log('Hit : '+ slink);
        analytics.trackEvent('Button', 'click', slink, 0);
        }
    };
})

.service('Cardservice', ['$q', '$http', function($q, $http){
    
    var api_url = 'https://thenumber.telpassltd.com/mvc/items/aa15154c8f88181e61e617a4f21af894';
    
    var ret = {
        all: function(){
            var deferred = $q.defer();
            
            $http.get(api_url).then(function(resp){
                //console.log(resp);
                //console.log(api_url);
                deferred.resolve(resp.data);
            });
            
            return deferred.promise;
        }
    }
    
    ret.all();
    
    return ret;
    
}]);